POSTCONF(1)

NAME
postconf - Postfix configuration utility

SYNOPSIS
postconf [-dhmlnv] [-c config_dir] [parameter ...] postconf [-ev] [-c config_dir] [parameter=value ...]

DESCRIPTION
The postconf command prints the actual value of parameter (all known parameters by default), one parameter per line, changes its value, or prints other information about the Postfix mail system. Options:

-c config_dir
    The main.cf configuration file is in the named directory instead of the default configuration directory.

-d  Print default parameter settings instead of actual settings.

-e  Edit the main.cf configuration file. The file is copied to a temporary file then renamed into place. Parameters and values are specified on the command line. Use quotes in order to protect shell metacharacters and whitespace.

-h  Show parameter values only, not the ``name = '' label that normally precedes the value.

-l  List the names of all supported mailbox locking methods.

-m  List the names of all supported lookup table types.

-n  Print non-default parameter settings only.

-v  Enable verbose logging for debugging purposes. Multiple -v options make the software increasingly verbose.

DIAGNOSTICS
Problems are reported to the standard error stream.

LICENSE
The Secure Mailer license must be distributed with this software.

AUTHOR(S)
Wietse Venema
IBM T.J. Watson Research
P.O. Box 704
Yorktown Heights, NY 10598, USA